<div class="slds-grid slds-grid_align-end action-buttons--wrapper">
  <a class="slds-icon_container" (click)="toogleList('cards')" title="account">
    <svg [ngClass]="{'icons-svg--inactive':listing === 'rows'}" class="slds-icon slds-icon_small icons-svg--blue" aria-hidden="true">
      <use xlink:href="/assets/salesforce-lightning-design/icons/utility-sprite/svg/symbols.svg#all"></use>
    </svg>
    <span class="slds-assistive-text">grid view</span>
  </a>
  <a class="slds-icon_container" (click)="toogleList('rows')" title="account">
    <svg [ngClass]="{'icons-svg--inactive':listing === 'cards'}" class="slds-icon slds-icon_small icons-svg--blue" aria-hidden="true">
      <use xlink:href="/assets/salesforce-lightning-design/icons/utility-sprite/svg/symbols.svg#rows"></use>
    </svg>
    <span class="slds-assistive-text">delete</span>
  </a>
  <a [routerLink]="[ '/hero-create' ]" class="slds-button slds-button--brand">Add Hero</a>
</div>

<ng-container *ngIf="listing === 'cards'; else elseListing">

  <div class="card-wrapper slds-grid slds-wrap slds-gutters_large">
    <div class="slds-col  slds-grow-none slds-size_1-of-1 slds-large-size_4-of-12" *ngFor="let hero of heroes">

      <article class="slds-card">

        <div class="slds-card__header slds-grid slds-grid_align-end">
          <header class="slds-media slds-media_center slds-has-flexi-truncate slds-grid_align-end">
            <a class="slds-icon_container" title="update hero" [routerLink]="[ '/hero-update', hero.id ]">
              <svg class="slds-icon slds-icon_x-small icons-svg--grey" aria-hidden="true">
                <use xlink:href="/assets/salesforce-lightning-design/icons/action-sprite/svg/symbols.svg#edit"></use>
              </svg>
              <span class="slds-assistive-text">update hero</span>
            </a>
            <a class="slds-icon_container" title="delete hero" (click)="deleteHero(hero)">
              <svg class="slds-icon slds-icon_x-small icons-svg--grey" aria-hidden="true">
                <use xlink:href="/assets/salesforce-lightning-design/icons/action-sprite/svg/symbols.svg#delete"></use>
              </svg>
              <span class="slds-assistive-text">delete hero</span>
            </a>
          </header>
        </div>

        <div class="slds-card__body slds-card__body_inner">
          <img class="avatar-round--card border-gradient--avatar" alt="Person name" src="/assets/heroes/{{hero.image}}" title="User avatar" />
          <h2 class="slds-card__header-title">
            {{hero.name}}
          </h2>
          <p>{{hero.email}}</p>
          <br>
          <p>{{hero.phone}}</p>
          <br>
        </div>

      </article>
    </div>
  </div>

</ng-container>

<ng-template #elseListing>
  <div class="table-wrapper slds-container_large slds-container_center slds-grid slds-wrap slds-gutters">
  <article>
      
      <table *ngFor="let hero of heroes; let i = index" class="slds-table slds-table_cell-buffer slds-table_fixed-layout" role="grid">
        <tbody>
          <tr class="slds-hint-parent table-row--padding" [ngClass]="{'row-selected': i === 0}">
            <td role="gridcell" class="avatar-wrapper">
              <img class="slds-avatar border-gradient--avatar" alt="Person name" src="/assets/heroes/{{hero.image}}" title="User avatar" />
            </td>
            <td role="gridcell">
              <p class="slds-truncate">
                NAME <strong>{{hero.name}}</strong>
              </p>
            </td>
            <td role="gridcell">
              <p class="slds-truncate">
                EMAIL {{hero.email}}
              </p>
            </td>
            <td role="gridcell">
              <p class="slds-truncate">
                TELEPHONE {{hero.phone}}
              </p>
            </td>
            <td role="gridcell">
              <div class="slds-truncate">
                <div class="slds-media__figure">
                  <a class="slds-icon_container" title="edit hero" [routerLink]="[ '/hero-update', hero.id ]">
                    <svg class="slds-icon slds-icon_small icons-svg--inactive" aria-hidden="true">
                      <use xlink:href="/assets/salesforce-lightning-design/icons/action-sprite/svg/symbols.svg#edit"></use>
                    </svg>
                    <span class="slds-assistive-text">edit hero</span>
                  </a>
                  <a class="slds-icon_container" title="delete hero" (click)="deleteHero(hero)">
                    <svg class="slds-icon slds-icon_small icons-svg--inactive" aria-hidden="true">
                      <use xlink:href="/assets/salesforce-lightning-design/icons/action-sprite/svg/symbols.svg#delete"></use>
                    </svg>
                    <span class="slds-assistive-text">delete hero</span>
                  </a>
                </div>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
  
  </article>
  </div>
</ng-template>


